﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;

using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace RemoteHost
{
    public partial class Service1 : ServiceBase
    {
        TcpChannel chan = null;

        public Service1()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            // 1. 체널 등록
            chan = new TcpChannel(25000);
            ChannelServices.RegisterChannel(chan, false);

            // 2. 리모트 클래스 등록
            RemotingConfiguration.RegisterWellKnownServiceType(
                typeof(DataCom.DataCom)
                , "DataComService"
                , WellKnownObjectMode.SingleCall);
        }

        protected override void OnStop()
        {
            ChannelServices.UnregisterChannel(chan);
        }
    }
}
